• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Codeigniter 3.0rc3 migration library is broken?

#1
Codeigniter 3.0rc3 migration library is broken?
Reply

#2
Are you getting an error message that leads you to think it is broken?
Your question as phrased is not answerable... Sad
Reply

#3
http://www.codeigniter.com/userguide3/li...ation.html
I follow this guide to create migration file , but the error message show 『No migration could be found with the version number: 1.』
I have created migrations/001_add_blog.php
I try in the v2.2.1 to create migration is success in this guide, but in v3.0rc3 is failure.
Reply

#4
The default migration type in CI3 is timestamp. If you would like to use sequantial, than you should change that in the config/migration.php
The error message you get is a little confusing if you get that with the default settings... maybe CI should use two different message.
Reply

#5
(03-24-2015, 06:21 AM)piece601 Wrote: http://www.codeigniter.com/userguide3/li...ation.html
I follow this guide to create migration file , but the error message show 『No migration could be found with the version number: 1.』
I have created migrations/001_add_blog.php
I try in the v2.2.1 to create migration is success in this guide, but in v3.0rc3 is failure.

Smile $config['migration_type'] = 'sequential'; change it
Reply

#6
$config['migration_type'] = 'sequential';
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2020 MyBB Group.